2014年3月11日 星期二

[Ubuntu]Ubuntu上安裝Line(使用Wine執行) Ubuntu Install NAVER Line (Run with Wine)

系統版本:
alan@Alan-Dell:~$ uname -a
Linux Alan-Dell 3.11.0-18-generic #32-Ubuntu SMP Tue Feb 18 21:11:14 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Wine版本:1.6.1


在Ubuntu上要執行Line的關鍵是Wine的版本。
如果是使用Wine 1.7.9的朋友,建議移除之後安裝1.6版本來執行。


Wine 1.7版本執行Line時,會在「關閉聊天視窗」或是「按下插入"圖示"」之後crash。
當時產生的LOG如下。
fixme:dbghelp:elf_search_auxv can't find symbol in module

但因為使用1.6的版本執行同樣的安裝步驟,程式並不會突然crash。
所以推測試版本問題,而不是少安裝DLL檔案。


首先教安裝到wine1.7版本的朋友,該如何移除。

透過指令刪除以下資料夾內的Wine相關檔案

alan@Alan-Dell:~$ rm -rf /home/alan/.wine/
alan@Alan-Dell:~$ rm -rf /home/alan/.config/menus/applications-merged/wine*
alan@Alan-Dell:~$ rm -rf /home/alan/.local/share/applications/wine*
alan@Alan-Dell:~$ rm -rf /home/alan/.local/share/desktop-directories/wine*

接著利用指令安裝wine 1.6
alan@Alan-Dell:~$ sudo add-apt-repository ppa:ubuntu-wine/ppa
alan@Alan-Dell:~$ sudo apt-get update
alan@Alan-Dell:~$ sudo apt-get install wine 1.6

可以看到提示字樣說明會移除wine1.7相關套件,然後安裝wine1.6
安裝完之後別急著安裝Line。先安裝先關DLL檔案

重點!
開啟Winetricks>Select the default wineprefix>Install a Windows DLL or component
選擇vcrun2008。按下確定後開始安裝。


再來就是安裝Line。
安裝Line只要點安裝檔然後一直按下一步即可。
為了避免「中文」可能會影響程式執行,我是安裝英文版本。



之後就可以用Ubuntu執行Line囉~
這裡說明一些我碰到的小bug。
1.不能插入貼圖-按下插入圖示的按鈕後,會閃出視窗一下又關閉。但至少比1.7好,不會因為他整個程式crash。

2.打字時不會出現打了什麼注音-這個解決方式不是把打字練好避免輸入錯誤,那就是準備一個記事本在旁邊複製貼上。

3.有時候中文輸入會失效- 解決方式是關閉Line甚至是中止程式然後重新執行,這樣就恢復正常了。但是建議開個記事本在旁邊複製貼上...因為滿容易失效的。或許跟我的輸入法有關係。














除了上述幾個缺失,Line執行起來還算是順暢!

有新的訊息也會在右下角提示~


17 則留言:

  1. 賴被強制更新成最新版, 不管是1.7還是1.6都會crash...請問有解嗎

    回覆刪除
    回覆
    1. 重新安裝看看,可能是wine1.7沒有移除乾淨,實際還是用1.7在跑
      下指令:wine--version 看看你的版本。

      刪除
    2. $ wine --version
      wine-1.6.1
      -------------------------------
      本來可以使用 LINE, 但4/11日LINE軟體會強制使用者更新到最新版之後, 開啟後不久會 crash...請問你目前使用都正常嗎?

      刪除
    3. 你好, 剛仔細看你的文章中有提到秀過 Winetricks 安裝 vcrun2008, 完成此步驟就可以順利使用line了,非常謝謝你

      刪除
    4. 是啊~除了版本之外,那些套件也是重點喔!

      如果有興趣可以找安裝office所需要的套件來安裝Office,我之前也有成功執行過,但偶爾還是會有一些問題....

      刪除
  2. 太感謝你了!
    這解決了我以前都要用Virtualbox+Windows來安裝Line的困擾。不過還是希望Naver公司能出Linux版本的Line來造福使用Linux使用者。

    回覆刪除
    回覆
    1. 不客氣~當然他們如果可以出最好啦~這樣可以幫大家很多忙呢

      刪除
  3. 重點是 vcrun2008, 裝上之後, 驗證就通過, 就可以用了. 不過注音的確不會出現選字框, 這比較頭痛.

    回覆刪除
    回覆
    1. 沒錯....不能選字真的很麻煩,所以我後來是開個記事本再旁邊,為了省系統資源...就只好這樣了
      不然開vm真的太麻煩了

      刪除
  4. 作者已經移除這則留言。

    回覆刪除
  5. 我反而1.7才能正常使用 1.6輸入換機密碼時會直接便灰色當掉

    回覆刪除
  6. 作者已經移除這則留言。

    回覆刪除
  7. 這招真的有用!!!感謝啊!!

    回覆刪除
  8. 請教我在 ubuntu 18.04 上裝 wine + line,很容易當掉必須重開,有解法嗎 >"<

    回覆刪除
    回覆
    1. 我很久沒用了...可以給你個方向是用chrome版的line比較快,line他常常在更新,wine不知道為什麼很難跟他配上。另一個方向,試試其他版本的wine,或許是不匹配

      刪除